Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeAMotorJoint Class Reference

Inheritance diagram for OdeAMotorJoint:

List of all members.

## Public Member Functions
| OdeAMotorJoint (OdeWorld world)
| OdeAMotorJoint (OdeWorld world, OdeJointGroup joint_group)
| addTorques (float torque1, float torque2, float torque3)
float | getAngle (int anum)
float | getAngleRate (int anum)
list | getAxes ()
VBase3 | getAxis (int anum)
int | getAxisRel (int anum)
int | getMode ()
int | getNumAxes ()
float | getParamBounce (int axis)
float | getParamCFM (int axis)
float | getParamFMax (int axis)
float | getParamFudgeFactor (int axis)
float | getParamHiStop (int axis)
float | getParamLoStop (int axis)
float | getParamStopCFM (int axis)
float | getParamStopERP (int axis)
float | getParamVel (int axis)
| setAngle (int anum, float angle)
| setAxis (int anum, int rel, VBase3 const axis)
| setAxis (int anum, int rel, float x, float y, float z)
| setMode (int mode)
| setNumAxes (int num)
| setParamBounce (int axis, float val)
| setParamCFM (int axis, float val)
| setParamFMax (int axis, float val)
| setParamFudgeFactor (int axis, float val)
| setParamHiStop (int axis, float val)
| setParamLoStop (int axis, float val)
| setParamStopCFM (int axis, float val)
| setParamStopERP (int axis, float val)
| setParamVel (int axis, float val)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeAMotorJoint | ( | OdeWorld | world | ) |

OdeAMotorJoint | ( | OdeWorld | world,
|  | OdeJointGroup | joint_group
| ) |  |

## Member Function Documentation

addTorques | ( | float | torque1,
|  | float | torque2,
|  | float | torque3
| ) |  |

float getAngle | ( | int | anum | ) |

float getAngleRate | ( | int | anum | ) |

list getAxes | ( |  | ) |

VBase3 getAxis | ( | int | anum | ) |

int getAxisRel | ( | int | anum | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from OdeJoint.

int getMode | ( |  | ) |

int getNumAxes | ( |  | ) |

float getParamBounce | ( | int | axis | ) |

float getParamCFM | ( | int | axis | ) |

float getParamFMax | ( | int | axis | ) |

float getParamFudgeFactor | ( | int | axis | ) |

float getParamHiStop | ( | int | axis | ) |

float getParamLoStop | ( | int | axis | ) |

float getParamStopCFM | ( | int | axis | ) |

float getParamStopERP | ( | int | axis | ) |

float getParamVel | ( | int | axis | ) |

setAngle | ( | int | anum,
|  | float | angle
| ) |  |

setAxis | ( | int | anum,
|  | int | rel,
|  | VBase3 const | axis
| ) |  |

setAxis | ( | int | anum,
|  | int | rel,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

setMode | ( | int | mode | ) |

setNumAxes | ( | int | num | ) |

setParamBounce | ( | int | axis,
|  | float | val
| ) |  |

setParamCFM | ( | int | axis,
|  | float | val
| ) |  |

setParamFMax | ( | int | axis,
|  | float | val
| ) |  |

setParamFudgeFactor | ( | int | axis,
|  | float | val
| ) |  |

setParamHiStop | ( | int | axis,
|  | float | val
| ) |  |

setParamLoStop | ( | int | axis,
|  | float | val
| ) |  |

setParamStopCFM | ( | int | axis,
|  | float | val
| ) |  |

setParamStopERP | ( | int | axis,
|  | float | val
| ) |  |

setParamVel | ( | int | axis,
|  | float | val
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties